it-swarm.com.de

Deinstallieren Sie Eclipse vollständig, installieren Sie es neu und fügen Sie Unterstützung für PHP und JQuery hinzu

Ich habe Eclipse eine kurze Zeit lang verwendet und es funktionierte perfekt, bis ich anfing, verschiedene Plugins herunterzuladen, die ich nicht wirklich brauchte. Jetzt bekomme ich eine Menge verschiedener Fehler und kann nicht einmal eine PHP-Datei öffnen.

Ich möchte nur Eclipse entfernen und neu installieren, aber das war viel schwieriger, als ich zuerst dachte. Ich habe jedes Eclipse Paket in synaptic packaged manager markiert und complete removal ausgewählt. Ich habe sogar den Ordner .meta in meinem Arbeitswörterbuch gelöscht, aber als ich Eclipse erneut installierte. Es war, als hätte ich nichts entfernt. Dieselben Fehler aus dem plug-ins, den ich zuvor installiert hatte.

Wenn Sie etwas unter Linux installieren, werden anscheinend überall Dateien gespeichert. Macht es wirklich schwer, irgendetwas zu entfernen. Wie entferne ich Eclipse VOLLSTÄNDIG, installiere es neu und füge Unterstützung für php und jquery hinzu.

Vielen Dank.

6
ganjan

Ich glaube, dass alle Plugins in den Ordner .Eclipse/plugins in Ihrem Home-Verzeichnis verschoben werden. Damit...

Sudo apt-get purge Eclipse
rm -r ~/.Eclipse/

sollte es vollständig von Ihrem System entfernen. Ich habe es nicht ausprobiert, da ich meine Installation nicht verlieren möchte :)

Sie sollten in der Lage sein, PHP und jQuery mit Aptana Studio abzurufen. Ich konnte 1.5 mit http://update15.aptana.org/studio/26124/ und einer Google-Suche zum Repository machen (über Hilfe> Neue Software installieren), aber ich habe keine Ich habe versucht, 2.0 zu installieren, das Sie hier herunterladen können: http://www.aptana.com/products/studio2/download

2
Ramón

Die Eclipse-Installation ist ziemlich heikel. Es kann Dinge an anderen Orten als nur .meta speichern. Normalerweise empfehle ich nicht, Quelldateien von Orten zu beziehen, aber ich empfehle Ihnen, die Eclipse-Website zu besuchen und die vorgefertigte Zip/Tar-Datei mit den gewünschten Funktionen herunterzuladen (sie enthält meiner Meinung nach 8 verschiedene Eclipse-Pakete mit verschiedenen Plugins). Sie sollten in der Lage sein, eine zu finden, die PHP und jquery macht). Beachten Sie, dass Sie das eine Paket später erweitern können, indem Sie zusätzliche Plugins für zusätzliche Funktionen hinzufügen.

EDIT
http://www.Eclipse.org/downloads/compare.php <--- das ist die Seite für die Eclipse IDE (von der ich annehme, dass Sie es sind) mit). Ich sehe kein Plugin für JQuery, das vorgefertigt ist, aber das bedeutet nicht, dass Sie nicht das bekommen können, was Sie von den Plugins benötigen. Laden Sie keine Plugins herunter, die Sie nicht benötigen, da Sie Ihre Eclipse-Installation manchmal auf diese Weise unterbrechen können.

0
Thomas Ward